---
# Opengraph object types.
# This list may be added to to create new object types
Name: opengraphobjecttypes
---
TractorCow\OpenGraph\OpenGraph:
  types:
    'music.song':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Music\IOGMusicSong
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Music\OGMusicSong
    'music.album':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Music\IOGMusicAlbum
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Music\OGMusicAlbum
    'music.playlist':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Music\IOGMusicPlaylist
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Music\OGMusicPlaylist
    'music.radio_station':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Music\IOGMusicRadioStation
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Music\OGMusicRadioStation
    'video.movie':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Video\IOGVideoMovie
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Video\OGVideoMovie
    'video.episode':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Video\IOGVideoEpisode
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Video\OGVideoEpisode
    'video.tv_show':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Video\IOGVideoTVShow
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Video\OGVideoTVShow
    'video.other':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Video\IOGVideoOther
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Video\OGVideoOther
    'article':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Other\IOGArticle
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Other\OGArticle
    'book':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Other\IOGBook
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Other\OGBook
    'profile':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Other\IOGProfile
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Other\OGProfile
    'website':
      interface: TractorCow\OpenGraph\Interfaces\ObjectTypes\Other\IOGWebsite
      tagbuilder: TractorCow\OpenGraph\ObjectBuilders\Other\OGWebsite
